/** SGX

The   sss    gggg x   x   
     s      g      x x    Engine
      sss   g  gg   x
         s  g   g  x x          Copyright 1995-2009.
     ssss    gggg x   x         Steven Goodwin. All Rights Reserved.
    
This version has been released under the GNU Public License v2.0.

Please see the license files for details.

File: sgx/include/sgx/graphics/facebuffer.hpp

*/

#ifndef SGX_GRAPHICS_FACEBUFFER_HPP
#define SGX_GRAPHICS_FACEBUFFER_HPP		1


class CFaceEntry
{
public:
	const CSGXAlphaSortData	*pAlphaData;		// Must contain all necessary info to render obj

	CFaceEntry();
};

class CFaceBuffer
{
public:
	CFaceBuffer(tMEM_SIZE size);
	~CFaceBuffer();

	tBOOL			isFull() const;
	void			flush();
	void			add(const CSGXAlphaSortData *pData);
	void			draw() const;

private:
	CFaceBuffer(){}
	CFaceEntry		*m_pAlphaList;
	tUINT32			m_NumFaces;
	tUINT32			m_MaxFaces;
};

#endif /* SGX_GRAPHICS_FACEBUFFER_HPP */
